# $Revision: 1.14 $, $Date: 2008-02-10 12:20:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sys
%define		pnam	Hostname-FQDN
Summary:	Sys::Hostname::FQDN - extract full host name
Summary(pl.UTF-8):	Sys::Hostname::FQDN - uzyskiwanie pełnej nazwy hosta
Name:		perl-Sys-Hostname-FQDN
Version:	0.07
Release:	2
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ab6b00e3f0781b3e074daa53160d1815
Patch0:		%{name}-segv.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sys::Hostname::FQDN uses the host C library to discover the (usually)
short host name, then uses (perl) gethostbyname to extract the real
hostname.

The results from gethostbyname are exported as gethostinfo and
asciihostinfo as a convenience since they are available. Similarly,
the C library functions inet_ntoa and inet_aton are exported.

%description -l pl.UTF-8
Sys::Hostname::FQDN używa biblioteki C do uzyskania (zwykle) krótkiej
nazwy hosta, a następnie używa (perlowej) funkcji gethostbyname aby
uzyskać prawdziwą nazwę hosta.

Wyniki z gethostbyname są dla wygody eksportowane jako gethostinfo i
asciihostinfo, ponieważ są dostępne. Podobnie są wyeksportowane
funkcje biblioteki C inet_ntoa i inet_aton.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
#%patch -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Sys/Hostname/FQDN/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Sys/Hostname
%{perl_vendorarch}/Sys/Hostname/FQDN.pm
%dir %{perl_vendorarch}/auto/Sys/Hostname
%dir %{perl_vendorarch}/auto/Sys/Hostname/FQDN
%{perl_vendorarch}/auto/Sys/Hostname/FQDN/FQDN.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Sys/Hostname/FQDN/FQDN.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sys-Hostname-FQDN.spec,v $
Revision 1.14  2008-02-10 12:20:16  arekm
- rel 2

Revision 1.13  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.12  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.10  2006/02/08 18:19:58  glen
- ah, what the hell, rel 1, STBR

Revision 1.9  2006/02/08 18:19:17  glen
- fixed files: .bs needed in some cases, autosplit? no such file

Revision 1.8  2004/11/15 18:44:10  paladine
- updated to 0.07

Revision 1.7  2004/11/03 22:30:46  paladine
- formatting

Revision 1.6  2004/08/08 19:56:57  adamg
- updated to 0.06

Revision 1.5  2004/05/06 18:43:22  ankry
- fixed perl-devel BR

Revision 1.4  2004/05/01 00:32:00  ankry
- license fixed, cosmetics

Revision 1.3  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.2  2003/09/18 13:21:29  adamg
- updated to 0.04

Revision 1.1  2003/06/18 21:54:27  qboosh
- new
